---
msw-deployment:deployment:
  sites:
  - name: my-site-1
    site-parameters:
      deployment-id: example
      fixed-ips: true
      mdm-certificate-id: my-mdm-certificate
      networking:
        subnets:
        - cidr: 172.16.0.0/24
          default-gateway: 172.16.0.1
          dns-servers:
          - 2.3.4.5
          - 3.4.5.6
          identifier: management
          vim-network: management-network
        - cidr: 173.16.0.0/24
          default-gateway: 173.16.0.1
          identifier: core-signaling
          vim-network: core-signaling-network
      services:
        ntp-servers:
        - 1.2.3.4
        - 1.2.3.5
      site-id: DC1
      timezone: Europe/London
      vim-configuration:
        vsphere:
          connection:
            allow-insecure: true
            password-id: password-secret-id
            server: 172.1.1.1
            username: VSPHERE.LOCAL\vsphere
          cpu-speed-mhz: 2900
          datacenter: Automation
          folder: ''
          hyperthreading: true
          reserve-resources: true
          resource-pool-name: Resources
    vnfcs:
    - cluster-configuration:
        count: 3
        instances:
        - name: example-mdm-1
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
          vnfci-vim-options:
            datastore: data:storage1
            host: esxi.hostname
            resource-pool-name: Resources
        - name: example-mdm-2
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
          vnfci-vim-options:
            datastore: data:storage1
            host: esxi.hostname
            resource-pool-name: Resources
        - name: example-mdm-3
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
          vnfci-vim-options:
            datastore: data:storage1
            host: esxi.hostname
            resource-pool-name: Resources
      name: mdm
      networks:
      - ip-addresses:
          ip:
          - 172.16.0.135
          - 172.16.0.136
          - 172.16.0.137
        name: Management
        subnet: management
        traffic-types:
        - management
      - ip-addresses:
          ip:
          - 173.16.0.135
          - 173.16.0.136
          - 173.16.0.137
        name: Core Signaling
        subnet: core-signaling
        traffic-types:
        - signaling
      product-options:
        mdm:
          consul-token: ABCdEfgHIJkLmNOp-MS-MDM
          custom-topology: |-
            {
              "member_groups": [
                {
                  "group_name": "DNS",
                  "neighbors": []
                },
                {
                  "group_name": "RVT-rem.DC1",
                  "neighbors": [
                    "SAS-DATA"
                  ]
                }
              ]
            }
      type: mdm
      version: 2.31.0
      vim-configuration:
        vsphere:
          deployment-size: medium
    - cluster-configuration:
        count: 1
        instances:
        - name: example-rem-1
          ssh:
            authorized-keys:
            - ssh-rsa XXXXXXXXXXXXXXXXXXXX
            private-key-id: my-private-key
          vnfci-vim-options:
            datastore: data:storage1
            host: esxi.hostname
            resource-pool-name: Resources
      name: rem
      networks:
      - ip-addresses:
          ip:
          - 172.16.0.10
        name: Management
        subnet: management
        traffic-types:
        - management
      - ip-addresses:
          ip:
          - 173.16.0.10
        name: Core Signaling
        subnet: core-signaling
        traffic-types:
        - internal
      product-options:
        rem:
          cds-addresses:
          - 1.2.3.4
          low-privilege-ssh-authorized-keys:
          - ssh-rsa YYYYYYYYYYYYYYYYYYYY
          primary-user-password-id: my-password-secret-id
          secrets-private-key-id: my-secrets-private-key-secret-id
      type: rem
      version: 4.0.0-99-1.0.0
      vim-configuration:
        vsphere:
          deployment-size: medium
